package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.Product;

/**
 * 产品基础信息表 服务层
 *
 * @author ruoyi
 */
public interface IProductService
{
    /**
     * 查询产品基础信息集合
     *
     * @param product 产品信息
     * @return 产品集合
     */
    public List<Product> selectProductList(Product product);

    /**
     * 分页查询产品基础信息集合
     *
     * @param product 产品信息
     * @return 分页数据
     */
    public TableDataInfo selectProductListByPage(Product product, Integer pageNum, Integer pageSize);

    /**
     * 根据ID查询产品基础信息
     *
     * @return 产品信息
     */
    public Product selectProductById(String ProductId);

    /**
     * 新增产品基础信息
     *
     * @param product 产品信息
     * @return 结果
     */
    public int insertProduct(Product product);

    /**
     * 修改产品基础信息
     *
     * @param product 产品信息
     * @return 结果
     */
    public int updateProduct(Product product);

    /**
     * 删除产品基础信息
     *
     * @return 结果
     */
    public int deleteProductById(String ProductId);
    public Product selectProductId(Long id);
    /**
     * 批量删除产品基础信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteProductByIds(Long[] ids);
}